package com.foreverwin.mesnac.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.common.model.InspectionItem;
import com.foreverwin.mesnac.common.model.InspectionItemDetail;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 检验项目维护主表 Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-06-09
 */
@Repository
public interface InspectionItemMapper extends BaseMapper<InspectionItem> {

    List<InspectionItemDetail> selectQualityInspection(@Param("site")String site,@Param("sfc")String sfc,@Param("operation") String operation, @Param("stepId")String stepId,@Param("inspectionType") String inspectionType);

    List<InspectionItemDetail> selectWidestQualityInspection(@Param("site")String site,@Param("inspectionType")String inspectionType,@Param("additionalObject")String additionalObject);

    Integer checkRouterStep(@Param("site")String site,@Param("operation") String operation,@Param("stepId") String stepId);

    Integer resrcePlanCheck(String handle);

    Integer resrceTaskCheck(String handle);

    Integer inspectTaskCheck(String handle);
}